IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network167.210.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
167.210.0.0- Broadcast address
167.211.255.255- First usable
167.210.0.1- Last usable
167.211.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
A7D20000· Integer2815557632to2815688703 - Reverse DNS zones
210.167.in-addr.arpa211.167.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10100111.11010010.00000000.00000000 | 167.210.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 10100111.11010010.00000000.00000000 | 167.210.0.0 |
| Broadcast | 10100111.11010011.11111111.11111111 | 167.211.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
167.210.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 167.210.0.0/23 | 167.210.0.1 to 167.210.1.254 | 167.210.1.255 | 510 |
| 2 | 167.210.2.0/23 | 167.210.2.1 to 167.210.3.254 | 167.210.3.255 | 510 |
| 3 | 167.210.4.0/23 | 167.210.4.1 to 167.210.5.254 | 167.210.5.255 | 510 |
| 4 | 167.210.6.0/23 | 167.210.6.1 to 167.210.7.254 | 167.210.7.255 | 510 |
| 5 | 167.210.8.0/23 | 167.210.8.1 to 167.210.9.254 | 167.210.9.255 | 510 |
| 6 | 167.210.10.0/23 | 167.210.10.1 to 167.210.11.254 | 167.210.11.255 | 510 |
| 7 | 167.210.12.0/23 | 167.210.12.1 to 167.210.13.254 | 167.210.13.255 | 510 |
| 8 | 167.210.14.0/23 | 167.210.14.1 to 167.210.15.254 | 167.210.15.255 | 510 |
| 9 | 167.210.16.0/23 | 167.210.16.1 to 167.210.17.254 | 167.210.17.255 | 510 |
| 10 | 167.210.18.0/23 | 167.210.18.1 to 167.210.19.254 | 167.210.19.255 | 510 |
| 11 | 167.210.20.0/23 | 167.210.20.1 to 167.210.21.254 | 167.210.21.255 | 510 |
| 12 | 167.210.22.0/23 | 167.210.22.1 to 167.210.23.254 | 167.210.23.255 | 510 |
| 13 | 167.210.24.0/23 | 167.210.24.1 to 167.210.25.254 | 167.210.25.255 | 510 |
| 14 | 167.210.26.0/23 | 167.210.26.1 to 167.210.27.254 | 167.210.27.255 | 510 |
| 15 | 167.210.28.0/23 | 167.210.28.1 to 167.210.29.254 | 167.210.29.255 | 510 |
| 16 | 167.210.30.0/23 | 167.210.30.1 to 167.210.31.254 | 167.210.31.255 | 510 |
| 17 | 167.210.32.0/23 | 167.210.32.1 to 167.210.33.254 | 167.210.33.255 | 510 |
| 18 | 167.210.34.0/23 | 167.210.34.1 to 167.210.35.254 | 167.210.35.255 | 510 |
| 19 | 167.210.36.0/23 | 167.210.36.1 to 167.210.37.254 | 167.210.37.255 | 510 |
| 20 | 167.210.38.0/23 | 167.210.38.1 to 167.210.39.254 | 167.210.39.255 | 510 |
| 21 | 167.210.40.0/23 | 167.210.40.1 to 167.210.41.254 | 167.210.41.255 | 510 |
| 22 | 167.210.42.0/23 | 167.210.42.1 to 167.210.43.254 | 167.210.43.255 | 510 |
| 23 | 167.210.44.0/23 | 167.210.44.1 to 167.210.45.254 | 167.210.45.255 | 510 |
| 24 | 167.210.46.0/23 | 167.210.46.1 to 167.210.47.254 | 167.210.47.255 | 510 |
| 25 | 167.210.48.0/23 | 167.210.48.1 to 167.210.49.254 | 167.210.49.255 | 510 |
| 26 | 167.210.50.0/23 | 167.210.50.1 to 167.210.51.254 | 167.210.51.255 | 510 |
| 27 | 167.210.52.0/23 | 167.210.52.1 to 167.210.53.254 | 167.210.53.255 | 510 |
| 28 | 167.210.54.0/23 | 167.210.54.1 to 167.210.55.254 | 167.210.55.255 | 510 |
| 29 | 167.210.56.0/23 | 167.210.56.1 to 167.210.57.254 | 167.210.57.255 | 510 |
| 30 | 167.210.58.0/23 | 167.210.58.1 to 167.210.59.254 | 167.210.59.255 | 510 |
| 31 | 167.210.60.0/23 | 167.210.60.1 to 167.210.61.254 | 167.210.61.255 | 510 |
| 32 | 167.210.62.0/23 | 167.210.62.1 to 167.210.63.254 | 167.210.63.255 | 510 |
| 33 | 167.210.64.0/23 | 167.210.64.1 to 167.210.65.254 | 167.210.65.255 | 510 |
| 34 | 167.210.66.0/23 | 167.210.66.1 to 167.210.67.254 | 167.210.67.255 | 510 |
| 35 | 167.210.68.0/23 | 167.210.68.1 to 167.210.69.254 | 167.210.69.255 | 510 |
| 36 | 167.210.70.0/23 | 167.210.70.1 to 167.210.71.254 | 167.210.71.255 | 510 |
| 37 | 167.210.72.0/23 | 167.210.72.1 to 167.210.73.254 | 167.210.73.255 | 510 |
| 38 | 167.210.74.0/23 | 167.210.74.1 to 167.210.75.254 | 167.210.75.255 | 510 |
| 39 | 167.210.76.0/23 | 167.210.76.1 to 167.210.77.254 | 167.210.77.255 | 510 |
| 40 | 167.210.78.0/23 | 167.210.78.1 to 167.210.79.254 | 167.210.79.255 | 510 |
| 41 | 167.210.80.0/23 | 167.210.80.1 to 167.210.81.254 | 167.210.81.255 | 510 |
| 42 | 167.210.82.0/23 | 167.210.82.1 to 167.210.83.254 | 167.210.83.255 | 510 |
| 43 | 167.210.84.0/23 | 167.210.84.1 to 167.210.85.254 | 167.210.85.255 | 510 |
| 44 | 167.210.86.0/23 | 167.210.86.1 to 167.210.87.254 | 167.210.87.255 | 510 |
| 45 | 167.210.88.0/23 | 167.210.88.1 to 167.210.89.254 | 167.210.89.255 | 510 |
| 46 | 167.210.90.0/23 | 167.210.90.1 to 167.210.91.254 | 167.210.91.255 | 510 |
| 47 | 167.210.92.0/23 | 167.210.92.1 to 167.210.93.254 | 167.210.93.255 | 510 |
| 48 | 167.210.94.0/23 | 167.210.94.1 to 167.210.95.254 | 167.210.95.255 | 510 |
| 49 | 167.210.96.0/23 | 167.210.96.1 to 167.210.97.254 | 167.210.97.255 | 510 |
| 50 | 167.210.98.0/23 | 167.210.98.1 to 167.210.99.254 | 167.210.99.255 | 510 |
| 51 | 167.210.100.0/23 | 167.210.100.1 to 167.210.101.254 | 167.210.101.255 | 510 |
| 52 | 167.210.102.0/23 | 167.210.102.1 to 167.210.103.254 | 167.210.103.255 | 510 |
| 53 | 167.210.104.0/23 | 167.210.104.1 to 167.210.105.254 | 167.210.105.255 | 510 |
| 54 | 167.210.106.0/23 | 167.210.106.1 to 167.210.107.254 | 167.210.107.255 | 510 |
| 55 | 167.210.108.0/23 | 167.210.108.1 to 167.210.109.254 | 167.210.109.255 | 510 |
| 56 | 167.210.110.0/23 | 167.210.110.1 to 167.210.111.254 | 167.210.111.255 | 510 |
| 57 | 167.210.112.0/23 | 167.210.112.1 to 167.210.113.254 | 167.210.113.255 | 510 |
| 58 | 167.210.114.0/23 | 167.210.114.1 to 167.210.115.254 | 167.210.115.255 | 510 |
| 59 | 167.210.116.0/23 | 167.210.116.1 to 167.210.117.254 | 167.210.117.255 | 510 |
| 60 | 167.210.118.0/23 | 167.210.118.1 to 167.210.119.254 | 167.210.119.255 | 510 |
| 61 | 167.210.120.0/23 | 167.210.120.1 to 167.210.121.254 | 167.210.121.255 | 510 |
| 62 | 167.210.122.0/23 | 167.210.122.1 to 167.210.123.254 | 167.210.123.255 | 510 |
| 63 | 167.210.124.0/23 | 167.210.124.1 to 167.210.125.254 | 167.210.125.255 | 510 |
| 64 | 167.210.126.0/23 | 167.210.126.1 to 167.210.127.254 | 167.210.127.255 | 510 |
| 65 | 167.210.128.0/23 | 167.210.128.1 to 167.210.129.254 | 167.210.129.255 | 510 |
| 66 | 167.210.130.0/23 | 167.210.130.1 to 167.210.131.254 | 167.210.131.255 | 510 |
| 67 | 167.210.132.0/23 | 167.210.132.1 to 167.210.133.254 | 167.210.133.255 | 510 |
| 68 | 167.210.134.0/23 | 167.210.134.1 to 167.210.135.254 | 167.210.135.255 | 510 |
| 69 | 167.210.136.0/23 | 167.210.136.1 to 167.210.137.254 | 167.210.137.255 | 510 |
| 70 | 167.210.138.0/23 | 167.210.138.1 to 167.210.139.254 | 167.210.139.255 | 510 |
| 71 | 167.210.140.0/23 | 167.210.140.1 to 167.210.141.254 | 167.210.141.255 | 510 |
| 72 | 167.210.142.0/23 | 167.210.142.1 to 167.210.143.254 | 167.210.143.255 | 510 |
| 73 | 167.210.144.0/23 | 167.210.144.1 to 167.210.145.254 | 167.210.145.255 | 510 |
| 74 | 167.210.146.0/23 | 167.210.146.1 to 167.210.147.254 | 167.210.147.255 | 510 |
| 75 | 167.210.148.0/23 | 167.210.148.1 to 167.210.149.254 | 167.210.149.255 | 510 |
| 76 | 167.210.150.0/23 | 167.210.150.1 to 167.210.151.254 | 167.210.151.255 | 510 |
| 77 | 167.210.152.0/23 | 167.210.152.1 to 167.210.153.254 | 167.210.153.255 | 510 |
| 78 | 167.210.154.0/23 | 167.210.154.1 to 167.210.155.254 | 167.210.155.255 | 510 |
| 79 | 167.210.156.0/23 | 167.210.156.1 to 167.210.157.254 | 167.210.157.255 | 510 |
| 80 | 167.210.158.0/23 | 167.210.158.1 to 167.210.159.254 | 167.210.159.255 | 510 |
| 81 | 167.210.160.0/23 | 167.210.160.1 to 167.210.161.254 | 167.210.161.255 | 510 |
| 82 | 167.210.162.0/23 | 167.210.162.1 to 167.210.163.254 | 167.210.163.255 | 510 |
| 83 | 167.210.164.0/23 | 167.210.164.1 to 167.210.165.254 | 167.210.165.255 | 510 |
| 84 | 167.210.166.0/23 | 167.210.166.1 to 167.210.167.254 | 167.210.167.255 | 510 |
| 85 | 167.210.168.0/23 | 167.210.168.1 to 167.210.169.254 | 167.210.169.255 | 510 |
| 86 | 167.210.170.0/23 | 167.210.170.1 to 167.210.171.254 | 167.210.171.255 | 510 |
| 87 | 167.210.172.0/23 | 167.210.172.1 to 167.210.173.254 | 167.210.173.255 | 510 |
| 88 | 167.210.174.0/23 | 167.210.174.1 to 167.210.175.254 | 167.210.175.255 | 510 |
| 89 | 167.210.176.0/23 | 167.210.176.1 to 167.210.177.254 | 167.210.177.255 | 510 |
| 90 | 167.210.178.0/23 | 167.210.178.1 to 167.210.179.254 | 167.210.179.255 | 510 |
| 91 | 167.210.180.0/23 | 167.210.180.1 to 167.210.181.254 | 167.210.181.255 | 510 |
| 92 | 167.210.182.0/23 | 167.210.182.1 to 167.210.183.254 | 167.210.183.255 | 510 |
| 93 | 167.210.184.0/23 | 167.210.184.1 to 167.210.185.254 | 167.210.185.255 | 510 |
| 94 | 167.210.186.0/23 | 167.210.186.1 to 167.210.187.254 | 167.210.187.255 | 510 |
| 95 | 167.210.188.0/23 | 167.210.188.1 to 167.210.189.254 | 167.210.189.255 | 510 |
| 96 | 167.210.190.0/23 | 167.210.190.1 to 167.210.191.254 | 167.210.191.255 | 510 |
| 97 | 167.210.192.0/23 | 167.210.192.1 to 167.210.193.254 | 167.210.193.255 | 510 |
| 98 | 167.210.194.0/23 | 167.210.194.1 to 167.210.195.254 | 167.210.195.255 | 510 |
| 99 | 167.210.196.0/23 | 167.210.196.1 to 167.210.197.254 | 167.210.197.255 | 510 |
| 100 | 167.210.198.0/23 | 167.210.198.1 to 167.210.199.254 | 167.210.199.255 | 510 |
| 101 | 167.210.200.0/23 | 167.210.200.1 to 167.210.201.254 | 167.210.201.255 | 510 |
| 102 | 167.210.202.0/23 | 167.210.202.1 to 167.210.203.254 | 167.210.203.255 | 510 |
| 103 | 167.210.204.0/23 | 167.210.204.1 to 167.210.205.254 | 167.210.205.255 | 510 |
| 104 | 167.210.206.0/23 | 167.210.206.1 to 167.210.207.254 | 167.210.207.255 | 510 |
| 105 | 167.210.208.0/23 | 167.210.208.1 to 167.210.209.254 | 167.210.209.255 | 510 |
| 106 | 167.210.210.0/23 | 167.210.210.1 to 167.210.211.254 | 167.210.211.255 | 510 |
| 107 | 167.210.212.0/23 | 167.210.212.1 to 167.210.213.254 | 167.210.213.255 | 510 |
| 108 | 167.210.214.0/23 | 167.210.214.1 to 167.210.215.254 | 167.210.215.255 | 510 |
| 109 | 167.210.216.0/23 | 167.210.216.1 to 167.210.217.254 | 167.210.217.255 | 510 |
| 110 | 167.210.218.0/23 | 167.210.218.1 to 167.210.219.254 | 167.210.219.255 | 510 |
| 111 | 167.210.220.0/23 | 167.210.220.1 to 167.210.221.254 | 167.210.221.255 | 510 |
| 112 | 167.210.222.0/23 | 167.210.222.1 to 167.210.223.254 | 167.210.223.255 | 510 |
| 113 | 167.210.224.0/23 | 167.210.224.1 to 167.210.225.254 | 167.210.225.255 | 510 |
| 114 | 167.210.226.0/23 | 167.210.226.1 to 167.210.227.254 | 167.210.227.255 | 510 |
| 115 | 167.210.228.0/23 | 167.210.228.1 to 167.210.229.254 | 167.210.229.255 | 510 |
| 116 | 167.210.230.0/23 | 167.210.230.1 to 167.210.231.254 | 167.210.231.255 | 510 |
| 117 | 167.210.232.0/23 | 167.210.232.1 to 167.210.233.254 | 167.210.233.255 | 510 |
| 118 | 167.210.234.0/23 | 167.210.234.1 to 167.210.235.254 | 167.210.235.255 | 510 |
| 119 | 167.210.236.0/23 | 167.210.236.1 to 167.210.237.254 | 167.210.237.255 | 510 |
| 120 | 167.210.238.0/23 | 167.210.238.1 to 167.210.239.254 | 167.210.239.255 | 510 |
| 121 | 167.210.240.0/23 | 167.210.240.1 to 167.210.241.254 | 167.210.241.255 | 510 |
| 122 | 167.210.242.0/23 | 167.210.242.1 to 167.210.243.254 | 167.210.243.255 | 510 |
| 123 | 167.210.244.0/23 | 167.210.244.1 to 167.210.245.254 | 167.210.245.255 | 510 |
| 124 | 167.210.246.0/23 | 167.210.246.1 to 167.210.247.254 | 167.210.247.255 | 510 |
| 125 | 167.210.248.0/23 | 167.210.248.1 to 167.210.249.254 | 167.210.249.255 | 510 |
| 126 | 167.210.250.0/23 | 167.210.250.1 to 167.210.251.254 | 167.210.251.255 | 510 |
| 127 | 167.210.252.0/23 | 167.210.252.1 to 167.210.253.254 | 167.210.253.255 | 510 |
| 128 | 167.210.254.0/23 | 167.210.254.1 to 167.210.255.254 | 167.210.255.255 | 510 |
| 129 | 167.211.0.0/23 | 167.211.0.1 to 167.211.1.254 | 167.211.1.255 | 510 |
| 130 | 167.211.2.0/23 | 167.211.2.1 to 167.211.3.254 | 167.211.3.255 | 510 |
| 131 | 167.211.4.0/23 | 167.211.4.1 to 167.211.5.254 | 167.211.5.255 | 510 |
| 132 | 167.211.6.0/23 | 167.211.6.1 to 167.211.7.254 | 167.211.7.255 | 510 |
| 133 | 167.211.8.0/23 | 167.211.8.1 to 167.211.9.254 | 167.211.9.255 | 510 |
| 134 | 167.211.10.0/23 | 167.211.10.1 to 167.211.11.254 | 167.211.11.255 | 510 |
| 135 | 167.211.12.0/23 | 167.211.12.1 to 167.211.13.254 | 167.211.13.255 | 510 |
| 136 | 167.211.14.0/23 | 167.211.14.1 to 167.211.15.254 | 167.211.15.255 | 510 |
| 137 | 167.211.16.0/23 | 167.211.16.1 to 167.211.17.254 | 167.211.17.255 | 510 |
| 138 | 167.211.18.0/23 | 167.211.18.1 to 167.211.19.254 | 167.211.19.255 | 510 |
| 139 | 167.211.20.0/23 | 167.211.20.1 to 167.211.21.254 | 167.211.21.255 | 510 |
| 140 | 167.211.22.0/23 | 167.211.22.1 to 167.211.23.254 | 167.211.23.255 | 510 |
| 141 | 167.211.24.0/23 | 167.211.24.1 to 167.211.25.254 | 167.211.25.255 | 510 |
| 142 | 167.211.26.0/23 | 167.211.26.1 to 167.211.27.254 | 167.211.27.255 | 510 |
| 143 | 167.211.28.0/23 | 167.211.28.1 to 167.211.29.254 | 167.211.29.255 | 510 |
| 144 | 167.211.30.0/23 | 167.211.30.1 to 167.211.31.254 | 167.211.31.255 | 510 |
| 145 | 167.211.32.0/23 | 167.211.32.1 to 167.211.33.254 | 167.211.33.255 | 510 |
| 146 | 167.211.34.0/23 | 167.211.34.1 to 167.211.35.254 | 167.211.35.255 | 510 |
| 147 | 167.211.36.0/23 | 167.211.36.1 to 167.211.37.254 | 167.211.37.255 | 510 |
| 148 | 167.211.38.0/23 | 167.211.38.1 to 167.211.39.254 | 167.211.39.255 | 510 |
| 149 | 167.211.40.0/23 | 167.211.40.1 to 167.211.41.254 | 167.211.41.255 | 510 |
| 150 | 167.211.42.0/23 | 167.211.42.1 to 167.211.43.254 | 167.211.43.255 | 510 |
| 151 | 167.211.44.0/23 | 167.211.44.1 to 167.211.45.254 | 167.211.45.255 | 510 |
| 152 | 167.211.46.0/23 | 167.211.46.1 to 167.211.47.254 | 167.211.47.255 | 510 |
| 153 | 167.211.48.0/23 | 167.211.48.1 to 167.211.49.254 | 167.211.49.255 | 510 |
| 154 | 167.211.50.0/23 | 167.211.50.1 to 167.211.51.254 | 167.211.51.255 | 510 |
| 155 | 167.211.52.0/23 | 167.211.52.1 to 167.211.53.254 | 167.211.53.255 | 510 |
| 156 | 167.211.54.0/23 | 167.211.54.1 to 167.211.55.254 | 167.211.55.255 | 510 |
| 157 | 167.211.56.0/23 | 167.211.56.1 to 167.211.57.254 | 167.211.57.255 | 510 |
| 158 | 167.211.58.0/23 | 167.211.58.1 to 167.211.59.254 | 167.211.59.255 | 510 |
| 159 | 167.211.60.0/23 | 167.211.60.1 to 167.211.61.254 | 167.211.61.255 | 510 |
| 160 | 167.211.62.0/23 | 167.211.62.1 to 167.211.63.254 | 167.211.63.255 | 510 |
| 161 | 167.211.64.0/23 | 167.211.64.1 to 167.211.65.254 | 167.211.65.255 | 510 |
| 162 | 167.211.66.0/23 | 167.211.66.1 to 167.211.67.254 | 167.211.67.255 | 510 |
| 163 | 167.211.68.0/23 | 167.211.68.1 to 167.211.69.254 | 167.211.69.255 | 510 |
| 164 | 167.211.70.0/23 | 167.211.70.1 to 167.211.71.254 | 167.211.71.255 | 510 |
| 165 | 167.211.72.0/23 | 167.211.72.1 to 167.211.73.254 | 167.211.73.255 | 510 |
| 166 | 167.211.74.0/23 | 167.211.74.1 to 167.211.75.254 | 167.211.75.255 | 510 |
| 167 | 167.211.76.0/23 | 167.211.76.1 to 167.211.77.254 | 167.211.77.255 | 510 |
| 168 | 167.211.78.0/23 | 167.211.78.1 to 167.211.79.254 | 167.211.79.255 | 510 |
| 169 | 167.211.80.0/23 | 167.211.80.1 to 167.211.81.254 | 167.211.81.255 | 510 |
| 170 | 167.211.82.0/23 | 167.211.82.1 to 167.211.83.254 | 167.211.83.255 | 510 |
| 171 | 167.211.84.0/23 | 167.211.84.1 to 167.211.85.254 | 167.211.85.255 | 510 |
| 172 | 167.211.86.0/23 | 167.211.86.1 to 167.211.87.254 | 167.211.87.255 | 510 |
| 173 | 167.211.88.0/23 | 167.211.88.1 to 167.211.89.254 | 167.211.89.255 | 510 |
| 174 | 167.211.90.0/23 | 167.211.90.1 to 167.211.91.254 | 167.211.91.255 | 510 |
| 175 | 167.211.92.0/23 | 167.211.92.1 to 167.211.93.254 | 167.211.93.255 | 510 |
| 176 | 167.211.94.0/23 | 167.211.94.1 to 167.211.95.254 | 167.211.95.255 | 510 |
| 177 | 167.211.96.0/23 | 167.211.96.1 to 167.211.97.254 | 167.211.97.255 | 510 |
| 178 | 167.211.98.0/23 | 167.211.98.1 to 167.211.99.254 | 167.211.99.255 | 510 |
| 179 | 167.211.100.0/23 | 167.211.100.1 to 167.211.101.254 | 167.211.101.255 | 510 |
| 180 | 167.211.102.0/23 | 167.211.102.1 to 167.211.103.254 | 167.211.103.255 | 510 |
| 181 | 167.211.104.0/23 | 167.211.104.1 to 167.211.105.254 | 167.211.105.255 | 510 |
| 182 | 167.211.106.0/23 | 167.211.106.1 to 167.211.107.254 | 167.211.107.255 | 510 |
| 183 | 167.211.108.0/23 | 167.211.108.1 to 167.211.109.254 | 167.211.109.255 | 510 |
| 184 | 167.211.110.0/23 | 167.211.110.1 to 167.211.111.254 | 167.211.111.255 | 510 |
| 185 | 167.211.112.0/23 | 167.211.112.1 to 167.211.113.254 | 167.211.113.255 | 510 |
| 186 | 167.211.114.0/23 | 167.211.114.1 to 167.211.115.254 | 167.211.115.255 | 510 |
| 187 | 167.211.116.0/23 | 167.211.116.1 to 167.211.117.254 | 167.211.117.255 | 510 |
| 188 | 167.211.118.0/23 | 167.211.118.1 to 167.211.119.254 | 167.211.119.255 | 510 |
| 189 | 167.211.120.0/23 | 167.211.120.1 to 167.211.121.254 | 167.211.121.255 | 510 |
| 190 | 167.211.122.0/23 | 167.211.122.1 to 167.211.123.254 | 167.211.123.255 | 510 |
| 191 | 167.211.124.0/23 | 167.211.124.1 to 167.211.125.254 | 167.211.125.255 | 510 |
| 192 | 167.211.126.0/23 | 167.211.126.1 to 167.211.127.254 | 167.211.127.255 | 510 |
| 193 | 167.211.128.0/23 | 167.211.128.1 to 167.211.129.254 | 167.211.129.255 | 510 |
| 194 | 167.211.130.0/23 | 167.211.130.1 to 167.211.131.254 | 167.211.131.255 | 510 |
| 195 | 167.211.132.0/23 | 167.211.132.1 to 167.211.133.254 | 167.211.133.255 | 510 |
| 196 | 167.211.134.0/23 | 167.211.134.1 to 167.211.135.254 | 167.211.135.255 | 510 |
| 197 | 167.211.136.0/23 | 167.211.136.1 to 167.211.137.254 | 167.211.137.255 | 510 |
| 198 | 167.211.138.0/23 | 167.211.138.1 to 167.211.139.254 | 167.211.139.255 | 510 |
| 199 | 167.211.140.0/23 | 167.211.140.1 to 167.211.141.254 | 167.211.141.255 | 510 |
| 200 | 167.211.142.0/23 | 167.211.142.1 to 167.211.143.254 | 167.211.143.255 | 510 |
| 201 | 167.211.144.0/23 | 167.211.144.1 to 167.211.145.254 | 167.211.145.255 | 510 |
| 202 | 167.211.146.0/23 | 167.211.146.1 to 167.211.147.254 | 167.211.147.255 | 510 |
| 203 | 167.211.148.0/23 | 167.211.148.1 to 167.211.149.254 | 167.211.149.255 | 510 |
| 204 | 167.211.150.0/23 | 167.211.150.1 to 167.211.151.254 | 167.211.151.255 | 510 |
| 205 | 167.211.152.0/23 | 167.211.152.1 to 167.211.153.254 | 167.211.153.255 | 510 |
| 206 | 167.211.154.0/23 | 167.211.154.1 to 167.211.155.254 | 167.211.155.255 | 510 |
| 207 | 167.211.156.0/23 | 167.211.156.1 to 167.211.157.254 | 167.211.157.255 | 510 |
| 208 | 167.211.158.0/23 | 167.211.158.1 to 167.211.159.254 | 167.211.159.255 | 510 |
| 209 | 167.211.160.0/23 | 167.211.160.1 to 167.211.161.254 | 167.211.161.255 | 510 |
| 210 | 167.211.162.0/23 | 167.211.162.1 to 167.211.163.254 | 167.211.163.255 | 510 |
| 211 | 167.211.164.0/23 | 167.211.164.1 to 167.211.165.254 | 167.211.165.255 | 510 |
| 212 | 167.211.166.0/23 | 167.211.166.1 to 167.211.167.254 | 167.211.167.255 | 510 |
| 213 | 167.211.168.0/23 | 167.211.168.1 to 167.211.169.254 | 167.211.169.255 | 510 |
| 214 | 167.211.170.0/23 | 167.211.170.1 to 167.211.171.254 | 167.211.171.255 | 510 |
| 215 | 167.211.172.0/23 | 167.211.172.1 to 167.211.173.254 | 167.211.173.255 | 510 |
| 216 | 167.211.174.0/23 | 167.211.174.1 to 167.211.175.254 | 167.211.175.255 | 510 |
| 217 | 167.211.176.0/23 | 167.211.176.1 to 167.211.177.254 | 167.211.177.255 | 510 |
| 218 | 167.211.178.0/23 | 167.211.178.1 to 167.211.179.254 | 167.211.179.255 | 510 |
| 219 | 167.211.180.0/23 | 167.211.180.1 to 167.211.181.254 | 167.211.181.255 | 510 |
| 220 | 167.211.182.0/23 | 167.211.182.1 to 167.211.183.254 | 167.211.183.255 | 510 |
| 221 | 167.211.184.0/23 | 167.211.184.1 to 167.211.185.254 | 167.211.185.255 | 510 |
| 222 | 167.211.186.0/23 | 167.211.186.1 to 167.211.187.254 | 167.211.187.255 | 510 |
| 223 | 167.211.188.0/23 | 167.211.188.1 to 167.211.189.254 | 167.211.189.255 | 510 |
| 224 | 167.211.190.0/23 | 167.211.190.1 to 167.211.191.254 | 167.211.191.255 | 510 |
| 225 | 167.211.192.0/23 | 167.211.192.1 to 167.211.193.254 | 167.211.193.255 | 510 |
| 226 | 167.211.194.0/23 | 167.211.194.1 to 167.211.195.254 | 167.211.195.255 | 510 |
| 227 | 167.211.196.0/23 | 167.211.196.1 to 167.211.197.254 | 167.211.197.255 | 510 |
| 228 | 167.211.198.0/23 | 167.211.198.1 to 167.211.199.254 | 167.211.199.255 | 510 |
| 229 | 167.211.200.0/23 | 167.211.200.1 to 167.211.201.254 | 167.211.201.255 | 510 |
| 230 | 167.211.202.0/23 | 167.211.202.1 to 167.211.203.254 | 167.211.203.255 | 510 |
| 231 | 167.211.204.0/23 | 167.211.204.1 to 167.211.205.254 | 167.211.205.255 | 510 |
| 232 | 167.211.206.0/23 | 167.211.206.1 to 167.211.207.254 | 167.211.207.255 | 510 |
| 233 | 167.211.208.0/23 | 167.211.208.1 to 167.211.209.254 | 167.211.209.255 | 510 |
| 234 | 167.211.210.0/23 | 167.211.210.1 to 167.211.211.254 | 167.211.211.255 | 510 |
| 235 | 167.211.212.0/23 | 167.211.212.1 to 167.211.213.254 | 167.211.213.255 | 510 |
| 236 | 167.211.214.0/23 | 167.211.214.1 to 167.211.215.254 | 167.211.215.255 | 510 |
| 237 | 167.211.216.0/23 | 167.211.216.1 to 167.211.217.254 | 167.211.217.255 | 510 |
| 238 | 167.211.218.0/23 | 167.211.218.1 to 167.211.219.254 | 167.211.219.255 | 510 |
| 239 | 167.211.220.0/23 | 167.211.220.1 to 167.211.221.254 | 167.211.221.255 | 510 |
| 240 | 167.211.222.0/23 | 167.211.222.1 to 167.211.223.254 | 167.211.223.255 | 510 |
| 241 | 167.211.224.0/23 | 167.211.224.1 to 167.211.225.254 | 167.211.225.255 | 510 |
| 242 | 167.211.226.0/23 | 167.211.226.1 to 167.211.227.254 | 167.211.227.255 | 510 |
| 243 | 167.211.228.0/23 | 167.211.228.1 to 167.211.229.254 | 167.211.229.255 | 510 |
| 244 | 167.211.230.0/23 | 167.211.230.1 to 167.211.231.254 | 167.211.231.255 | 510 |
| 245 | 167.211.232.0/23 | 167.211.232.1 to 167.211.233.254 | 167.211.233.255 | 510 |
| 246 | 167.211.234.0/23 | 167.211.234.1 to 167.211.235.254 | 167.211.235.255 | 510 |
| 247 | 167.211.236.0/23 | 167.211.236.1 to 167.211.237.254 | 167.211.237.255 | 510 |
| 248 | 167.211.238.0/23 | 167.211.238.1 to 167.211.239.254 | 167.211.239.255 | 510 |
| 249 | 167.211.240.0/23 | 167.211.240.1 to 167.211.241.254 | 167.211.241.255 | 510 |
| 250 | 167.211.242.0/23 | 167.211.242.1 to 167.211.243.254 | 167.211.243.255 | 510 |
| 251 | 167.211.244.0/23 | 167.211.244.1 to 167.211.245.254 | 167.211.245.255 | 510 |
| 252 | 167.211.246.0/23 | 167.211.246.1 to 167.211.247.254 | 167.211.247.255 | 510 |
| 253 | 167.211.248.0/23 | 167.211.248.1 to 167.211.249.254 | 167.211.249.255 | 510 |
| 254 | 167.211.250.0/23 | 167.211.250.1 to 167.211.251.254 | 167.211.251.255 | 510 |
| 255 | 167.211.252.0/23 | 167.211.252.1 to 167.211.253.254 | 167.211.253.255 | 510 |
| 256 | 167.211.254.0/23 | 167.211.254.1 to 167.211.255.254 | 167.211.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |